Legacy (2024-03-18)Merchants API
Webhooks Management
Webhook configuration and management
Was this page helpful?
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
The Webhook id to delete
application/json
curl -X DELETE "https://example.com/public/2024-03-18/webhooks/123e4567-e89b-12d3-a456-426614174000"{ "success": true}apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
application/json
curl -X GET "https://example.com/public/2024-03-18/webhooks"{ "success": true, "data": [ { "id": "string", "event": "webhook.test", "url": "string", "active": true, "version": "string" } ]}apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The event type to listen for
Value in
The URL to send the webhook to
uriapplication/json
curl -X POST "https://example.com/public/2024-03-18/webhooks" \ -H "Content-Type: application/json" \ -d '{ "event": "webhook.test", "url": "http://example.com" }'{ "success": true, "id": "string"}